%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-zaqar
Version:        11.3.0
Release:        3%{?dist}
Summary:        Puppet module for OpenStack Zaqar
License:        ASL 2.0

URL:            https://launchpad.net/puppet-zaqar

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=6dd6ff65994f78aed4ad1d3d2be4a6fb3949c435
Patch0001: 0001-Update-UPPER_CONSTRAINTS_FILE-for-stable-pike.patch
Patch0002: 0002-Update-Gemfile-to-pull-spec_helper-from-stable-pike.patch
Patch0003: 0003-pike-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0004: 0004-Fix-typo-in-config-options.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Zaqar

%prep
%setup -q -n openstack-zaqar-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/zaqar/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/zaqar/



%files
%{_datadir}/openstack-puppet/modules/zaqar/


%changelog
* Tue Nov 14 2017 Thierry Vignaud <tvignaud@redhat.com> 11.3.0-3
- Merge "Update UPPER_CONSTRAINTS_FILE for stable/pike" into stable/pike
- Merge "Update Gemfile to pull spec_helper from stable/pike" into stable/pike
- Update UPPER_CONSTRAINTS_FILE for stable/pike

* Fri Nov 10 2017 Jon Schlueter <jschluet@redhat.com> 11.3.0-2
- Fix typo in config options
- [pike] Add Puppet package to bindep, for module build
- Update Gemfile to pull spec_helper from stable/pike

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 11.3.0-1
- Update to 11.3.0



